## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate askalono-cli

Name:           rust-askalono-cli
Version:        0.4.6
Release:        %autorelease
Summary:        Tool to detect the contents of license files

# * askalono-cli: Apache-2.0
# * spdx/license-list-data: CC0-1.0
License:        Apache-2.0 AND CC0-1.0
URL:            https://crates.io/crates/askalono-cli
Source:         %{crates_source}
# updated SPDX license list data; generated with:
# $ git clone https://github.com/spdx/license-list-data.git spdx-license-list -b v3.22 --depth 1
# $ askalono cache load-spdx spdx-license-list/json/details
# $ mv askalono-cache.bin.zstd askalono-cache-3.22.bin.zstd
Source:         askalono-cache-3.22.bin.zstd

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A tool to detect the contents of license files.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND CC0-1.0 MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

Provides:       bundled(spdx-license-list-data) = 3.22

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license NOTICE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/askalono

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# update bundled SPDX license list data
cp -pav %{SOURCE1} embedded-cache.bin.zstd

%generate_buildrequires
%cargo_generate_buildrequires -f diagnostics

%build
%cargo_build -f diagnostics
%{cargo_license_summary -f diagnostics}
%{cargo_license -f diagnostics} > LICENSE.dependencies

%install
%cargo_install -f diagnostics

%if %{with check}
%check
%cargo_test -f diagnostics
%endif

%changelog
* Fri Nov 24 2023 Fabio Valentini <decathorpe@gmail.com> 0.4.6-5
- Update included SPDX license-list-data to version 3.22

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 0.4.6-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 06 2022 Fabio Valentini <decathorpe@gmail.com> 0.4.6-1
- Update to version 0.4.6; Fixes RHBZ#2073721

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.4.4-4
- Rebuild with package notes

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> 0.4.4-3
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> 0.4.4-1
- Update to version 0.4.4; Fixes RHBZ#2025327

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-5
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:27:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.3-2
- Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-1
- Update to version 0.4.3.

* Sun Aug 16 15:01:11 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.2-5
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Apr 02 08:21:10 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.2-3
- Fixup license

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 20 21:52:47 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.2-1
- Update to 0.4.2
- Fix license to include all statically linked libraries

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 21 10:17:13 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-2
- Regenerate

* Thu Mar 28 12:56:20 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Initial package

